extends Scene

func _on_room_looked() -> void:
	pass

func _on_kq4_071_cave_entrance_interacted() -> void:
	var target_scene = load("res://scenes/kq4_071_cave_entrance/kq4_071_cave_entrance.tscn")
	if target_scene:
		get_tree().change_scene_to_packed(target_scene)

func _on_cave_exit_interacted() -> void:
	$cave_exit.default_script(self)
